package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.dialect.mysql.ast.clause.MySqlTableTableSource;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLLoadIndexIntoCacheStatement extends SQLStatementImpl implements SQLStatement {
   private List<MySqlTableTableSource> tables = new ArrayList();

   public List<MySqlTableTableSource> getTables() {
      return this.tables;
   }

   public void setTables(List<MySqlTableTableSource> tables) {
      this.tables = tables;
   }

   public void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.tables);
      }

      visitor.endVisit(this);
   }
}
